'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ultimatePagination = require('ultimate-pagination');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Paginate = function (_React$Component) {
	(0, _inherits3.default)(Paginate, _React$Component);

	function Paginate() {
		(0, _classCallCheck3.default)(this, Paginate);
		return (0, _possibleConstructorReturn3.default)(this, (Paginate.__proto__ || Object.getPrototypeOf(Paginate)).apply(this, arguments));
	}

	(0, _createClass3.default)(Paginate, [{
		key: 'createPagination',
		value: function createPagination() {
			var _props = this.props,
			    currentPage = _props.currentPage,
			    totalPages = _props.totalPages,
			    boundaryPagesRange = _props.boundaryPagesRange,
			    siblingPagesRange = _props.siblingPagesRange,
			    breakDelimiter = _props.breakDelimiter,
			    _onClick = _props.onClick,
			    link = _props.link;


			var paginationModel = (0, _ultimatePagination.getPaginationModel)({
				currentPage: currentPage,
				totalPages: totalPages,
				boundaryPagesRange: boundaryPagesRange,
				siblingPagesRange: siblingPagesRange,
				hidePreviousAndNextPageLinks: true,
				hideFirstAndLastPageLinks: true
			});

			return paginationModel.map(function (data, key) {
				if (data.type === 'PAGE') {
					return _react2.default.createElement(
						'li',
						{
							onClick: function onClick() {
								return _onClick(data.value);
							},
							className: 'PaginateXPage ' + (data.isActive ? 'PaginateXCurrent' : 'PaginateXLink'),
							key: 'PaginateX' + data.key
						},
						link(data.value, data.value)
					);
				}
				return _react2.default.createElement(
					'li',
					{
						className: 'PaginateXBreak',
						key: 'PaginateX' + data.key
					},
					breakDelimiter
				);
			});
		}
	}, {
		key: 'render',
		value: function render() {
			var _props2 = this.props,
			    currentPage = _props2.currentPage,
			    totalPages = _props2.totalPages,
			    previous = _props2.previous,
			    next = _props2.next,
			    first = _props2.first,
			    last = _props2.last,
			    _onClick2 = _props2.onClick,
			    link = _props2.link,
			    hideInactive = _props2.hideInactive;

			var isFirst = currentPage === 1;
			var isLast = currentPage === totalPages;
			return _react2.default.createElement(
				'ul',
				{ className: 'PaginateX' },
				first && (!hideInactive || !isFirst) && _react2.default.createElement(
					'li',
					{
						className: 'PaginateXFirst ' + (isFirst ? '' : 'PaginateXLink'),
						onClick: function onClick() {
							if (!isFirst) {
								_onClick2(1);
							}
						}
					},
					link(1, first)
				),
				previous && (!hideInactive || !isFirst) && _react2.default.createElement(
					'li',
					{
						className: 'PaginateXPrev ' + (isFirst ? '' : 'PaginateXLink'),
						onClick: function onClick() {
							if (!isFirst) {
								_onClick2(currentPage - 1);
							}
						}
					},
					link(currentPage - 1, previous)
				),
				this.createPagination(),
				next && (!hideInactive || !isLast) && _react2.default.createElement(
					'li',
					{
						className: 'PaginateXNext ' + (isLast ? '' : 'PaginateXLink'),
						onClick: function onClick() {
							if (!isLast) {
								_onClick2(currentPage + 1);
							}
						}
					},
					link(currentPage + 1, next)
				),
				last && (!hideInactive || !isLast) && _react2.default.createElement(
					'li',
					{
						className: 'PaginateXLast ' + (isLast ? '' : 'PaginateXLink'),
						onClick: function onClick() {
							if (!isLast) {
								_onClick2(totalPages);
							}
						}
					},
					link(totalPages, last)
				),
				_react2.default.createElement('style', { dangerouslySetInnerHTML: { __html: '\n\t\t\t\t\t.PaginateX{\n\t\t\t\t\t\tlist-style-type: none;\n\t\t\t\t\t\tmargin: 0;\n\t\t\t\t\t\tpadding: 0;\n\t\t\t\t\t\tuser-select: none;\n\t\t\t\t\t}\n\t\t\t\t\t.PaginateX li{\n\t\t\t\t\t\tdisplay: inline-block;\n\t\t\t\t\t\tpadding: 5px;\n\t\t\t\t\t}\n\t\t\t\t\t.PaginateXLink{\n\t\t\t\t\t\tcursor: pointer;\n\t\t\t\t\t}\n\t\t\t\t' } })
			);
		}
	}]);
	return Paginate;
}(_react2.default.Component);

Paginate.defaultProps = {
	previous: 'previous',
	next: 'next',
	first: false,
	last: false,
	breakDelimiter: '...',
	currentPage: 1,
	boundaryPagesRange: 2,
	siblingPagesRange: 2,
	hideInactive: false,
	link: function link(n, t) {
		return t;
	}
};

exports.default = Paginate;
module.exports = exports['default'];
//# sourceMappingURL=index.js.map